Wireless networking

Wireless technology makes it possible for you to use a wide range of devices to access data from anywhere in the world. Wireless networks reduce or eliminate the high cost of laying expensive fiber and cabling and provide backup functionality for wired networks. To ensure that wireless networks and devices are compatible, cost-effective, and secure, organizations and special interest groups are working to develop standards for wireless communications.

You can transfer data over infrared connections with computers, printers, cameras, and other devices that use IrDA protocols. In addition, you can use an infrared-enabled cellular phone to make a dial-up connection to the Internet or to your corporate network.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.
  • For problem-solving instructions, see Troubleshooting.


How to...

  • Manage a wireless network client
  • Manage infrared communication


Manage a wireless network client

  • Disable automatic wireless network configuration
  • Set up 802.1x authentication
  • Connect to an available wireless network
  • Manually add a wireless network to the Preferred Networks list
  • Find a public wireless network location
  • Change the order of wireless networks in the Preferred Networks list
  • Remove a wireless network from the Preferred Networks list


Connect to an available wireless network

Microsoft Windows Graphic

To connect to an available wireless network

  1. Open Network Connections.
  2. Click the wireless network connection icon, and then, under Network Tasks, click View available wireless networks.
  3. Choose the wireless network from the list that appears, and then click Connect.
  4. If the network is one that supports Wireless Provisioning Services, such as a public wireless network or a corporate network, you might be asked to download additional files that will allow your computer to connect to the network.
    • If the Web site listed in the dialog box is one that you trust to provide you with this information, click Download. Otherwise, click Cancel and choose a different network to connect to.
    • Once the files are downloaded (or if they were previously downloaded), follow the instructions in the Wireless Network Registration Wizard.
  5. If the network you choose is security-enabled, one of the following will occur:
    • If the network key is automatically provided by your network or system administrator (that is, the network supports IEEE 802.1x), the connection will be made automatically.
    • If the network key is not automatically provided, in Network key, type the key.
  6. To configure other wireless network connection settings, or if you are having difficulty making a connection to the wireless network that you selected, under Related Tasks, click Change advanced settings, select the wireless network that you want to configure, and then click Properties. If the wireless network is not in the list, click Add.

Notes

  • XOX
  • Some wireless networks might not appear on the list. For example, a public Internet service provider (ISP) can be configured to use another provider's wireless network name. In that case, you might see only the public ISP in the list of wireless networks. To show all wireless networks, click Show wireless access point names.

Related Topics


Find a public wireless network location

Microsoft Windows Graphic

To find a public wireless network location

  1. Open Network Connections.
  2. Click the wireless network connection icon, and then, under Network Tasks, click View available wireless networks.
  3. Under Related Tasks, click Find a wireless network location.
  4. Complete the fields to search for a wireless public Internet service provider (ISP) in a specific location. The more information that you provide, the more precise the search will be.

Notes

  • XOX
  • This feature is not available unless you are signed up with a network that supports Wireless Provisioning Services (for example, a public wireless ISP).


Connect to a wireless network automatically

Microsoft Windows Graphic

To connect to a wireless network automatically

  1. Open Network Connections.
  2. Click the wireless network connection icon, and then, under Network Tasks, click View available wireless networks.
  3. Under Related Tasks on the left, click Change the order of preferred networks.
  4. Click the wireless network that you want to connect to, and then click Properties.
  5. On the Connection tab, click Connect automatically to this wireless network when it is in range.

Notes

  • XOX
  • If you are signing up for a public wireless network for the first time, you must run the Wireless Network Registration Wizard. When you complete the wizard, you can choose to connect to the network automatically by selecting Connect automatically whenever I’m in range of this network.


Disable automatic wireless network configuration

Microsoft Windows Graphic

To disable automatic wireless network configuration

Automatic wireless network configuration is enabled by default in XOX. With this setting, you can connect to an existing wireless network, change wireless network connection settings, set up a new wireless network connection, and specify the wireless network that you prefer to use.

If you are using non-Microsoft wireless configuration software, you should disable automatic wireless network configuration. To configure settings on the Wireless Networks tab, you must be logged on to this computer as an administrator.

  1. Open Network Connections.
  2. Right-click Wireless Network Connection, and then click Properties.
  3. On the Wireless Networks tab, clear the Use Windows to configure my wireless network settings check box.

Notes

  • XOX
  • The Use Windows to configure my wireless network settings check box is selected by default. If the Wireless Networks tab does not appear, then automatic wireless network configuration is not available.
  • You must use a wireless network adapter that supports the automatic wireless configuration service. If you are unsure whether your wireless network adapter supports this service, contact your network administrator or the wireless network adapter manufacturer. For more information about automatic wireless network configuration, click Related Topics.


Manually add a wireless network to the Preferred Networks list

Microsoft Windows Graphic

To manually add a wireless network to the Preferred Networks list

  1. Open Network Connections.
  2. Click the wireless network connection icon, and then, in Network Tasks, click View available wireless networks.
  3. Under Related Tasks on the left, click Change the order of preferred networks.
  4. Click Add.
  5. In Network name (SSID), type a name for the wireless network.
  6. In Network Authentication, click an item in the list.
  7. If this is a security-enabled network, in Data encryption, select the encryption method.
  8. In Network key, type the network key, and then in Confirm network key, retype the key.

Notes

  • XOX
  • If the network that you are adding provides a network key automatically, make sure that the The key is provided for me automatically check box is selected.
  • If the wireless network that you are adding does not have an access point or a router, select the This is a computer-to-computer (ad hoc) network; wireless access points are not used check box.
  • For the network authentication method, we recommend that you choose Open. When the open method is combined with a wired equivalent privacy (WEP) network key, all network traffic is encrypted. If you choose Shared, a network key is still required, and even if you use a WEP network key, network traffic is not encrypted, which makes your network more vulnerable to intrusions.


Change the order of wireless networks in the Preferred Networks list

Microsoft Windows Graphic

To change the order of wireless networks in the Preferred Networks list

Windows attempts to connect to wireless networks in the order in which they are listed in the Preferred Networks list on the Wireless Networks tab. You can change the order by moving a network name up or down in the list.

  1. Open Network Connections.
  2. Click the wireless network connection icon, and then, under Network Tasks, click View available wireless networks.
  3. Under Related Tasks on the left, click Change the order of preferred networks.
  4. Click a wireless network, and then click either Move up or Move down.

Notes

  • XOX
  • The Preferred Networks list is only available if automatic wireless configuration is enabled.
  • A computer-to-computer (ad hoc) network cannot be moved above a standard wireless network (an access point, or infrastructure network) in the list.


Automatically update wireless network information

Microsoft Windows Graphic

To automatically update wireless network information

If you have a wireless network that supports Wireless Provisioning Services (for example, a public Internet service provider), you can automatically update the information you need to connect to the network, including network settings and information about locations where public wireless networks can be found.

  1. Open Network Connections.
  2. Click the wireless network connection icon.
  3. Under Network Tasks, click View available wireless networks.
  4. Under Related Tasks, click Change advanced settings.
  5. Click the wireless network that you want to update, and then click Properties.
  6. On the Connection tab, click Keep information about this wireless network updated.

Notes

  • XOX
  • If you are signing up for a public wireless network for the first time, you must run the Wireless Network Registration Wizard. When you complete the wizard, you can choose to update information automatically by clicking Always download the latest information about this network.


Remove a wireless network from the Preferred Networks list

Microsoft Windows Graphic

To remove a wireless network from the Preferred Networks list

  1. Open Network Connections.
  2. Click the wireless network connection icon.
  3. Under Network Tasks, click View available wireless networks.
  4. Under Related Tasks, click Change the order of preferred networks.
  5. On the Wireless Networks tab, click the wireless network connection that you want to remove, and then click Remove.

Note

  • XOX


Set up IEEE 802.1x authentication

Microsoft Windows Graphic

To set up IEEE 802.1x authentication

To configure settings on the Authentication tab, you must be an administrator or a member of the Administrators group.

  1. Open Network Connections.
  2. For a wired connection, click the connection for which you want to set up IEEE 802.1x authentication, and then, under Network Tasks, click Change settings of this connection.

    -or-

    For a wireless connection, do the following:

    • Click the wireless connection, and then, under Network Tasks, click Change settings of this connection. On the Wireless Networks tab, click a wireless network in the list, and then click Properties.
  3. On the Authentication tab, make sure that the Enable IEEE 802.1x authentication for this network check box is selected.
  4. In EAP type, choose the Extensible Authentication Protocol type to use with this connection.
  5. If you choose Smart Card or other Certificate in EAP type, you can configure additional properties. Click Properties and, in Smart Card or other Certificate Properties, do the following:
    • To use your smart card certificate for authentication, click Use my smart card.
    • To use the certificate in your computer's certificate store for authentication, click Use a certificate on this computer.
    • To verify that the server certificate presented to your computer is still valid, select the Validate server certificate check box, specify whether to connect only if the server resides within a particular domain, and then specify the trusted root certification authority.
    • If the user name in the smart card or certificate is not the same as the user name for the domain to which you are logging on, select the Use a different user name for the connection check box.
  6. To specify whether the computer should attempt authentication to the network if a user is not logged on, or if the computer or user information is not available, do one of the following:
    • To specify that the computer should attempt authentication to the network if a user is not logged on, select the Authenticate as computer when computer information is available check box.
    • To specify that the computer should attempt authentication to the network if the user information or computer information is not available, select the Authenticate as guest when user or computer information is unavailable check box.

Notes

  • XOX
  • IEEE 802.1x authentication provides authenticated access to 802.11 wireless networks and to wired Ethernet networks. 802.1x minimizes wireless network security risks and uses standard security protocols, such as RADIUS. For more information about 802.1x and 802.11, click Related Topics.
  • To make IEEE 802.1x authentication for this connection unavailable, clear the Network access control using IEEE 802.1x check box.


Manage infrared communication

  • Set up the computer for infrared communication
  • Configure infrared communication
  • Use infrared for dial-up or direct network connections
  • Send files over an infrared link
  • Print to an infrared printer
  • Transfer images from a digital camera to your computer


Set up the computer for infrared communication

  • Verify infrared support on a computer
  • Add a new infrared device to a serial port
  • View infrared device properties
  • Establish an infrared link


Verify infrared support on a computer

Microsoft Windows graphic

To verify infrared support on a computer

  1. Verify that your computer has an infrared transceiver (the transceiver will appear as a small, dark red window).

    2. If your computer does not have an infrared transceiver, see your manufacturer's documentation to verify whether IrDA functionality is supported.

  2. Open Device Manager in Control Panel.
  3. Double-click Infrared Devices.

    If you have an infrared transceiver, but Infrared Devices does not appear in Device Manager, you do not have an infrared device installed.

    If no infrared devices are listed, do one or both of the following:

    • Enter BIOS setup to verify whether the infrared device is enabled in BIOS, in IrDA, or Fast IrDA (FIR) mode. For information about how to enter BIOS setup, see your computer manufacturer's documentation. If the infrared device is disabled in BIOS, you might be able to use your computer's BIOS setup to enable it.

        • Warning

        Using a BIOS setup utility incorrectly can cause your computer to operate incorrectly. Microsoft cannot guarantee that problems resulting from the incorrect use of the BIOS setup can be solved. Use this utility at your own risk. Before you make any changes, make a note of the original settings so that you can reinstate them if necessary.

    • See your computer manufacturer's documentation to determine whether the BIOS needs to be updated.

  4. Verify that at least one infrared device is listed and that it is enabled.

    5. If infrared devices are listed but they are not enabled, verify that the infrared devices are installed correctly on your computer. XOX

Notes

  • XOX
  • Infrared transceivers are now installed in nearly all new portable computers. If your computer does not have an infrared transceiver, but it supports IrDA, and IrDA is enabled in BIOS, you can install an external infrared transceiver.


Add a new infrared device to a serial port

Microsoft Windows graphic

To add a new infrared device to a serial port

  1. Connect the infrared device to a serial port on your computer, and note the serial port number (typically COM1 or COM2).
  2. Open Add Hardware in Control Panel.
  3. In the Add Hardware Wizard, click Next.
  4. In Is hardware connected?, click Yes, I have already connected the hardware, and then click Next.
  5. In Installed Hardware, click Add a new hardware device, and then click Next.
  6. In The wizard can help you install other hardware, click Install the hardware that I manually select from a list, and then click Next.
  7. In Common hardware types, click Infrared devices, and then click Next.
  8. In Select Infrared Device, do one of the following:
    • If you do not have an installation disk for the infrared device, under Manufacturer, click the manufacturer, under Infrared Device, click the infrared device, and then click Next.
    • If you have an installation disk for a compatible driver, click Have Disk, insert the disk, click Next, and then follow any additional instructions to install the device.
  9. In The wizard is ready to install your hardware, click Next.
  10. In Infrared Device Installation, select the serial port to which your infrared device is attached, and then click Next.

Notes

  • XOX
  • This procedure applies only if an infrared device was not installed automatically when you turned on your computer. Typically, USB, PCMCIA, and other Plug and Play compliant infrared devices are automatically detected and installed. These devices do not need additional configuration to be installed.


View infrared device properties

Microsoft Windows graphic

To view infrared device properties

  1. Open Wireless Link in Control Panel.
  2. On the Hardware tab, click the infrared device for which you want to view properties, and then click Properties.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If a device that is connected to your computer is not listed, you need to add it. XOX
  • The infrared device Properties dialog box shows the device status, driver files, and power management settings for an infrared device.


Establish an infrared link

Microsoft Windows graphic

To establish an infrared link

  1. Verify that the devices that you want to communicate over an infrared link have infrared functionality enabled and work correctly.

    2. For information about verifying infrared functionality on your computer, click Related Topics. For information about verifying infrared functionality on other devices, see the device manufacturer's documentation.

  2. Align your devices so that the infrared transceivers are within one meter of each other, and the transceivers are pointing at each other.

    3. When the devices are correctly aligned, the Infrared taskbar status icon icon appears on the taskbar.

Notes

  • The infrared transceiver is the small, dark red window on your portable computer, printer, digital camera, adapter, or other device.
  • You can choose whether to hide or display the Wireless Link taskbar icon when two infrared devices are aligned. By default, the Wireless Link taskbar icon is displayed. XOX


Configure infrared communication

  • Enable or prevent receipt of files sent over an infrared link
  • Change the default location for receipt of files sent over an infrared link
  • Hide or display the Wireless Link taskbar icon
  • Enable or disable notification of files received over an infrared link
  • Enable or disable sound notification when an infrared device is nearby
  • Change settings to transfer images from a digital camera


Enable or prevent receipt of files sent over an infrared link

Microsoft Windows graphic

To enable or prevent receipt of files sent over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To enable your computer to receive files from others, select the Allow others to send files to your computer using infrared communications check box. This check box is selected by default.
    • To prevent your computer from receiving files from others, clear the Allow others to send files to your computer using infrared communications check box.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If you clear the Allow others to send files to your computer using infrared communications check box, you can still send files to other computers by using Wireless Link.


Change the default location for receipt of files sent over an infrared link

Microsoft Windows graphic

To change the default location for receipt of files sent over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, under Default location for received files, click Browse.

    3. By default, files that are sent over an infrared link are copied to the desktop of the recipient computer.

  3. Enter a new location, and then click OK.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.


Hide or display the Wireless Link taskbar icon

Microsoft Windows graphic

To hide or display the Wireless Link taskbar icon

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To hide the Wireless Link taskbar icon, clear the Display an icon on the taskbar indicating infrared activity check box. This check box is selected by default.
    • To display the Wireless Link taskbar icon, select the Display an icon on the taskbar indicating infrared activity check box.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • When another infrared transceiver is in range, this option causes the Infrared status icon icon to appear on the taskbar. The icon changes to Infrared receive status icon whenever the infrared connection is active. To display the current status of the connection, move the mouse pointer over the icon.
  • To open the properties for Wireless Link, right-click the Infrared status icon icon, and then click Properties.
  • To transfer files, right-click the Infrared status icon icon, and then click Transfer Files to open the Wireless Link dialog box.


Enable or disable notification of files received over an infrared link

Microsoft Windows graphic

To enable or disable notification of files received over an infrared link

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • If you do not want to be notified when you receive files over an infrared link, clear the Notify me when receiving files check box. This check box is selected by default.
    • To be notified when you receive files sent over an infrared link, select the Notify me when receiving files check box.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If the Notify me when receiving files check box is selected, the Wireless Link status dialog box appears when files are being received. The status dialog box indicates that files are being received and shows the name of the computer that is sending the files.


Enable or disable sound notification when an infrared device is nearby

Microsoft Windows Graphic

To enable or disable sound notification when an infrared device is nearby

  1. Open Wireless Link in Control Panel.
  2. On the Infrared tab, do one of the following:
    • To enable sound notification when an infrared device is nearby, select the Play sound when infrared device is nearby check box. This check box is selected by default.
    • To disable sound notification when an infrared device is nearby, clear the Play sound when infrared device is nearby check box.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If the Play sound when infrared device is nearby check box is selected, but you do not hear the notification sound, make sure that your infrared devices are correctly aligned and that an infrared link is established. XOX


Change settings to transfer images from a digital camera

Microsoft Windows graphic

To change settings to transfer images from a digital camera

  1. Open Wireless Link in Control Panel.
  2. On the Image Transfer tab, select the Use Wireless Link to transfer images from a digital camera to your computer check box.
  3. In Transfer images to a subfolder of, specify the default location for images transferred by Wireless Link.
  4. To automatically open Windows Explorer to the default location after receiving files, select the Explore location after receiving pictures check box.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (Ir-TranP). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.


Use infrared for dial-up or direct network connections

  • Make a dial-up connection using an infrared-enabled cellular phone
  • Establish a direct infrared network connection between computers
  • Use an infrared network connection


Make a dial-up connection using an infrared-enabled cellular phone

Microsoft Windows graphic

To make a dial-up connection using an infrared-enabled cellular phone

  1. Make sure that infrared is activated on the cellular phone. To check compatibility, see your cellular phone manufacturer's documentation.
  2. Establish an infrared link between the cellular phone and the computer by aligning them so that the infrared transceivers are within one meter of each other and the transceivers are pointing at each other. XOX
  3. Open Network Connections.
  4. Click Create a new connection. The New Connection Wizard opens. Click Next.
  5. In Network Connection Type, specify the type of connection that you want to make, and then click Next.
  6. Follow the instructions in the wizard.

Note

  • XOX


Establish a direct infrared network connection between computers

Microsoft Windows graphic

To establish a direct infrared network connection between computers

  1. Open Network Connections in Control Panel.
  2. Click Create a new connection. The New Connection Wizard opens. Click Next.
  3. In Network Connection Type, click Set up an advanced connection, and then click Next.
  4. In Advanced Connection Options, click Connect directly to another computer, and then click Next.
  5. In Host or Guest, specify whether this computer is being used to access information on another computer or whether it has the information that needs to be accessed by doing one of the following:
    • If this computer has information that will be accessed by another computer, click Host.
    • If this computer is being used to access information on another computer, click Guest.
  6. Click Next, and then do one of the following:
    • If you specified this computer as a host, in Device for this connection, select Infrared Port.
    • If you specified this computer as a guest, in Connection Name, enter a name for the connection. Click Next. In Select a device, select Infrared Port.
  7. Click Next, and then do one of the following:
    • If you specified this computer as a host, in Users Permissions, follow the directions to specify the users you will allow to connect.
    • If you specified this computer as a guest, in Connection Availability, select Anyone's use or My use only.
  8. Click Next.

Notes

  • XOX
  • To examine or change properties for this connection, right-click its icon in Network Connections.
  • After you add an infrared device, you may have to restart the computer before you can select Infrared Port in step six.


Use an infrared network connection

Microsoft Windows graphic

To use an infrared network connection

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within one meter of each other, and the transceivers are pointing at each other.
  2. Open Network Connections in Control Panel.
  3. Double-click the connection that you want to use to access the network.
  4. Verify that the connection information is correct, and then click OK.
  5. On the File menu, click Connect.

Notes

  • XOX
  • When you make a network connection over infrared, the infrared link takes the place of a cable. You do not need to use a serial or parallel cable.


Send files over an infrared link

  • Send files with the Wireless Link dialog box
  • Send files with Send To
  • Send files using the command line
  • Drag files to an infrared link


Send files with the Wireless Link dialog box

Microsoft Windows graphic

To send files with the Wireless Link dialog box

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within one meter of each other and the transceivers are pointing at each other. XOX
  2. Click the irdastatus icon on the taskbar.
  3. In the Wireless Link dialog box, specify the files you want to send, and then click Send.

Note

  • While another infrared transceiver is in range, you can also double-click the Wireless Link wireless link icon on the desktop to open the Wireless Link dialog box.


Send files with Send To

Microsoft Windows graphic

To send files with Send To

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within one meter of each other and the transceivers are pointing at each other. XOX
  2. On the desktop, in Windows Explorer or in My Computer, select the files you want to send.
  3. Right-click the selected files, point to Send To, and then click Nearby Computer.

Note

  • If Nearby Computer does not appear on the Send to menu (as described in step three of this procedure), make sure that your infrared devices are correctly aligned and that an infrared link is established. The Nearby Computer menu command only appears when an infrared link is active.


Send files using the command line

Microsoft Windows graphic

To send files using the command line

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within one meter of each other and the transceivers are pointing at each other.
  2. Open Command Prompt.
  3. At the command prompt, type:

    irftp [Drive:] [[Path] FileName] [/h]

    4. Value | Description
Drive: | Specifies the drive that contains the files that you want to send over an infrared link.
[Path] FileName | Specifies the location and name of the file or set of files that you want to send over an infrared link.
/h | Specifies hidden mode. When hidden mode is used, the Wireless Link dialog box does not display when the files are sent.

Notes

  • XOX
  • If you do not specify a drive, a path, and a name for the file or set of files that you want to send, the Wireless Link dialog box opens, so that you can select the files without using the command line.


Drag files to an infrared link

Microsoft Windows graphic

To drag files to an infrared link

  1. Establish an infrared link by aligning your computers so that the infrared transceivers are within one meter of each other and the transceivers are pointing at each other. XOX
  2. In Windows Explorer, in My Computer, or on the desktop, select one or more files.
  3. Drag the selected files onto the wireless link desktop icon, which represents the wireless connection.


Print to an infrared printer

Microsoft Windows graphic

To print to an infrared printer

  1. Verify that the infrared printer you want to use is correctly installed.
  2. Establish an infrared link between the computer and the printer by aligning them so that the infrared transceivers are within one meter of each other, and the transceivers are pointing at each other.
  3. Open the document that you want to print, and then proceed with printing
    4. .


Transfer images from a digital camera to your computer

Microsoft Windows graphic

To transfer images from a digital camera to your computer

  1. Open Wireless Link in Control Panel.
  2. On the Image Transfer tab, select the Use Wireless Link to transfer images from a digital camera to your computer check box.
  3. Refer to the camera manufacturer's instructions to select and transfer images.

Notes

  • XOX
  • The Wireless Link icon appears in Control Panel only if an infrared device is already installed on your computer.
  • The Wireless Link icon will automatically create a folder for the transferred images, accept the images, and open the folder when the image transfer is completed.
  • Wireless Link cannot initiate the transfer of images. The camera must initiate the transfer of images.
  • To use Wireless Link to transfer images, the camera must support infrared image transfer (IrTran-P). If it does not support this protocol, you need to use a program provided by the camera manufacturer or by another party. If you use another program, make sure you clear the Use Wireless Link to transfer images from a digital camera to your computer check box.
  • If you are using synchronization software, note that certain software will automatically disable IrTran-P. As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.


Concepts

This section provides general background information about wireless networking.

  • Wireless networking overview
  • Wireless Link overview
  • Understanding wireless networking
  • Using wireless networking
  • Resources


Wireless networking overview

Wireless networking is a way to connect computers or other devices, either in your home or across long distances, using infrared light or radio frequency signals. Devices commonly used for wireless networking include desktop and laptop computers, hand-held computers, personal digital assistants (PDAs), mobile phones, pen-based computers, and pagers. Wireless networking is useful in many situations. For example, if you are away from your computer, you can use your mobile phone to read and respond to e-mail. If you travel with a laptop computer, you can connect to the Internet through wireless access points installed in airports, hotels, and other public locations. You can also synchronize data and transfer files between two computers or between a computer and another device.

Wireless local area networks (WLANs) are often used in corporate or campus buildings, or in airports. WLANs are also used in home or small office networks. There are two types of WLAN:

  • A local area network that uses access points to connect computers and devices on the network. This is also called an infrastructure network.
  • A computer-to-computer local area network (also called an ad hoc network) with several users in a limited area, such as a conference room. This type of network does not use an access point.

When your computer is in range of a wireless network, XOX sends you a message, which appears in the notification area on your screen. You can click the message to see a list of wireless networks and then select a wireless network to connect to. If you are traveling, you can get a list of available wireless networks in the area where you will be staying by entering the city, state or province, and postal code for that area.

Sometimes when you connect to a wireless network, you are prompted to enter a network key (also called a WEP key, or wired equivalency privacy key). This key is like a password that you need to gain access to the network. In some cases, the key might be provided to you by the network administrator. In other cases, you might be asked to create a key.


Wireless Link overview

After an infrared device is installed, the Wireless Link icon appears in Control Panel. You can use the Wireless Link icon to configure file transfer and image transfer options and then to send files or transfer images quickly and easily over an infrared link.

When another infrared transceiver comes in range, the Wireless Link icon appears on the desktop and on the taskbar. You can then:

  • Send files by specifying a location and one or more files in the Wireless Link dialog box. For more information, see Send files with the Wireless Link dialog box.
  • Send files by dragging file icons to the Wireless Link icon on the desktop and dropping them there. For more information, see Drag files to an infrared link.
  • Transfer images from a digital camera that supports the infrared image transfer (IrTran-P) protocol to your computer. For more information, see Transfer images from a digital camera to your computer.


Understanding wireless networking

This section covers:

  • Understanding 802.1x authentication
  • Understanding infrared networking


Understanding 802.1x authentication

The IEEE 802.1x standard allows authentication and access to 802.11 wireless networks and wired Ethernet networks.

When a user wants access to services through a particular local area network (LAN) port, the port adopts one of two roles: authenticator or supplicant. As authenticator, the LAN port enforces authentication before it allows user access. As supplicant, the LAN port requests access to the services that the user wants access to. An authentication server checks the supplicant's credentials, and then lets the authenticator know if the supplicant is authorized to access the authenticator's services.

IEEE 802.1x uses standard security protocols to grant user access to network resources. User authentication, authorization, and accounting are performed by a Remote Authentication Dial-In User Service (RADIUS) server. RADIUS is a protocol that enables centralized authentication, authorization, and accounting for network access. A RADIUS server receives and processes connection requests sent by RADIUS clients.

In addition, IEEE 802.1x addresses many of the issues with wired equivalent privacy (WEP) encryption by automatically generating, distributing, and managing encryption keys.


Understanding wireless provisioning services

Wireless Provisioning Services (WPS) are enhancements to wireless networking in XOX. WPS enables wireless networks to provide a consistent sign-up and configuration experience, while providing more secure access to network resources.

When you connect to a wireless network that supports WPS, you are prompted to download additional files that are used by WPS to enable a more secure, consistent and automatic setup. These files are generally safe to download, but the information contained within them might not be accurate. You should verify that the Web site from which the files will be downloaded is one that you expected based on your location, or one that you trust to provide you with the information.

If you choose to download the files, XML files are downloaded from the provider and stored on your computer for as long as you wish to use the wireless network. The files contain no personal information about you or your computer.

If you do not choose to download the files, you cannot connect to the wireless network.

When the files are downloaded, the Wireless Network Registration Wizard requests information from you. Some networks might require payment. Other networks might simply require acknowledgement of a usage policy. Follow the instructions in the Wireless Network Registration Wizard to provide the appropriate information to the network provider.

After you have signed up with a wireless network that supports WPS, the files stored on your computer can be updated automatically. If you choose this option, the wireless provisioning services in your computer will connect to the wireless network provider’s computers and update the information stored on your computer. This occurs on a schedule determined by the wireless network provider (typically once a week or once a month). This update process will only occur while you are already connected to the Internet, and will not interfere with your use of your Internet connection. For information about enabling or disabling automatic updates of the WPS information, click Related Topics. If you choose not to update the files automatically, the files for a specific network will be updated the next time you connect to that wireless network (this is required to ensure that your computer has the right information for that network).


Understanding infrared networking

This section covers:

  • Infrared communication
  • Infrared implementation
  • Links between infrared devices


Infrared communication

Infrared communication uses infrared light to transfer data. Infrared light is also used almost universally by TV and VCR remote controls. In computers, infrared communication offers an alternative to cables and floppy disks. Infrared communication provides a point-to-point, low-cost way to connect computers with each other or with devices and appliances. Many cellular phones are equipped with infrared ports that allow them to be connected to a computer for dial-up networking connections.


Infrared implementation

Infrared data transfer is implemented according to the Infrared Data Association (IrDA) standards and protocols. These standards are designed to allow low-cost components and low power requirements, and to enable connections by simply pointing infrared devices at each other. Infrared transceivers are now installed in nearly all new portable computers. For a computer that does not have a built-in infrared transceiver, you can install an external infrared transceiver.

IrDA is a half-duplex, short-range data transfer technology. The IrDA protocols specify the procedures that support link initialization, device address discovery, connection startup and data rate negotiation, information exchange, disconnection, link shutdown, and device address conflict resolution.

Infrared device support

Infrared functionality is provided through the Wireless Link file transfer feature, infrared printing (IrLPT), infrared image transfer (IrTran-P), and infrared networking (IrNET and IrComm) capabilities. Additionally, the IrDA Winsock API supports programs created by other software and equipment manufacturers. These manufacturers sell programs that use the Winsock API (or proprietary interfaces) to provide infrared connections to printers, modems, digital pagers, personal digital assistants, electronic cameras, organizers, cellular phones, and hand-held computers.

Infrared transmission speeds

Many laptops, notebook computers, and hand-held devices now include infrared transceiver ports that provide infrared asynchronous serial transmission with maximum data transfer speeds of either 115.2 kilobytes per second (Kbps) or 4 megabits per second (Mbps), and sometimes 16 Mbps.

Serial IrDA 115.2 Kbps support (SIR)

The Serial IrDA (SIR) implementation of IrDA provides a maximum data transfer speed of 115.2 Kbps. The primary benefit of this implementation is that existing serial hardware can be used without additional cost.

Fast IrDA 4.0 Mbps support (FIR) and Very Fast IrDA 16.0 Mbps support (VFIR)

The Fast IrDA (FIR) implementation of IrDA provides a maximum data transfer speed (of 4 Mbps) that easily adjusts to slower devices. Very Fast IrDA (VFIR), which provides 16 Mbps half-duplex data transmission, is also supported. FIR and VFIR devices can communicate with SIR devices.

IrComm and IrNET support

With IrComm, you can use your computer and infrared-equipped cellular phone to connect to your Internet service provider or to send fax transmissions without additional equipment. With IrNET, you can establish a point-to-point connection between your computer and another computer or another infrared-equipped device. You can also establish a connection between your computer and a network access point.

IrLPT printer support

If your computer came with an internal infrared device, or if you install an infrared transceiver, an infrared port appears as a local port in the Add Printer dialog box. When you associate a printer with this port and then print to that printer, the IrLPT protocol is used to transmit the data.

IrTran-P image transfer support

The IrTran-P image transfer protocol is used in digital cameras and other digital image capture devices. You can use this feature to receive digital images from a camera or other device that supports IrTran-P to your computer through an IrDA connection. The IrTran-P service is implemented as a listen-only service; it never initiates the IrTran-P connection.

Note

  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (Ir-TranP). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.


Links between infrared devices

Infrared data-link transmission occurs between two infrared devices. All transmissions over the link go from the primary (commanding) device to the secondary (receiving) device. The primary role is determined dynamically when a link is established and continues until the connection is closed. Any station that is capable can assume the primary role. When two computers are in range, either one can assume the primary role, so a user can initiate a data transfer on either computer. Some devices may only be capable of assuming the secondary role.

How an infrared connection is made

A device creates a link by automatically detecting the other or by a user request. The commanding station sends a connection request at 9,600 bits per second (bps) to the other device (including information such as an address, data rate, and other capabilities). The responding device assumes the secondary role and returns information that contains its address and capabilities. The primary and secondary stations then change the data rate and link parameters to the common set defined by the initial information transfer. Finally, the primary station sends data to the secondary station confirming the connection. The devices are then connected and begin data transfer under control of the primary device.

Multiple infrared connections

The Winsock API supports multiple simultaneous connections over a single IrDA link. This feature allows several different programs to use a single infrared device simultaneously. For example, you might place a portable computer within range of a desktop computer to simultaneously send and receive mail, update your calendar and contacts, and print deferred documents. Each activity can be controlled by a separate program on the laptop computer that locates and connects to its corresponding program on the desktop computer.

Multiple infrared devices

A single infrared device cannot link simultaneously with more than one other infrared device. However, you can install multiple infrared devices on a computer to provide simultaneous links to multiple infrared devices. For example, using separate infrared devices, a desktop computer can simultaneously print to an infrared port, communicate with a portable computer, and dial a network connection.

For additional information, see Installing infrared devices.


Using wireless networking

This section covers:

  • Configuring wireless network client computers
  • Using infrared communication


Configuring wireless network client computers

Automatic wireless network configuration uses the IEEE 802.11 standard for wireless networks and makes it easy to access those networks. When you enable automatic wireless network configuration on your computer, you can access different wireless networks without reconfiguring the network connection settings on your computer for each location. As you move from one location to another, Windows searches for available wireless networks and notifies you when there are new wireless networks available for you to connect to. After you select a network to connect to, your wireless network adapter is updated to match the settings of the wireless network, and Windows attempts to connect to that wireless network.

With automatic wireless network configuration, you can create a list of preferred wireless networks. You can also specify the order in which to attempt connections to those networks.

  • For instructions about how to connect to a wireless network, see Connect to an available wireless network.
  • To disable automatic wireless network configuration on your computer, see Disable automatic wireless network configuration.

Wireless network types

You can choose from the following wireless network types:

Access point (infrastructure)

In access point wireless networks, wireless stations (devices with radio network cards, such as a portable computer or personal digital assistant) connect to wireless access points. These access points function as bridges between wireless stations and the existing network distribution system (network backbone). As you move from one location to another, and the signal for one wireless access point weakens or the access point becomes too busy, you can connect to a new access point. For example, if you work in a large corporation, your wireless device can connect to several different access points as you move between different floors of a building or different buildings in a campus. As a result, you maintain uninterrupted access to network resources.

Computer-to-computer (ad hoc)

In computer-to-computer wireless networks, wireless stations connect to each other directly, rather than through wireless access points. For example, if you are in a meeting with co-workers, your wireless device can connect to the wireless devices of your co-workers, and you can form a temporary network.

Any available network (access point preferred)

In any available network wireless networks, a connection to an access point wireless network is always attempted first. If an access point network is not available, a connection to a computer-to-computer wireless network is attempted. For example, if you use your laptop at work in an access point wireless network, and then take your laptop home to use in your computer-to-computer home network, automatic wireless network configuration will change your wireless network settings so that you can connect to your home network.

802.11 security

Security options for 802.11 include authentication and encryption services based on the Wired Equivalent Privacy (WEP) security services used to protect 802.11 networks from unauthorized access, such as eavesdropping. With automatic wireless network configuration, you can specify that a network key be used to verify access to the network. You can also specify that a network key be used to encrypt your data as it is transmitted over the network.

The wireless network adapter in your computer might support the Wi-Fi Protected Access (WPA) security protocol. WPA provides stronger encryption than WEP. With WPA, the network keys on networked computers and devices are automatically changed and then authenticated regularly, which provides greater security than WEP.

To use WPA, your wireless network adapter must support it. To find out if you can use WPA on your wireless network, check the manufacturer's Web site for information about your device. The manufacturer might have software or a driver that you can download and install.

Network keys

When you enable WEP, you can specify that a network key be used for encryption. A network key might be provided for you automatically (for example, it might be provided on your wireless network adapter), or you can specify the key by typing it yourself. If you specify the key, you can also specify the key length (40 bits or 104 bits), key format (ASCII characters or hexadecimal digits), and key index (the location where a specific key is stored). The longer the key length, the more secure the key. Every time the length of a key is increased by one bit, the number of possible keys doubles.

Under 802.11, a wireless station can be configured with up to four keys (the key index values are 0, 1, 2, and 3). When an access point or a wireless station transmits an encrypted message using a key that is stored in a specific key index, the transmitted message indicates the key index that was used to encrypt the message body. The receiving access point or wireless station can then retrieve the key that is stored at the key index and use it to decode the encrypted message body.

802.1x authentication

For enhanced security, you can enable IEEE 802.1x authentication, which provides authenticated access to 802.11 wireless networks and to wired Ethernet networks. IEEE 802.1x authentication minimizes wireless network security risks, such as unauthorized access to network resources and eavesdropping. It provides user and computer identification, centralized authentication, and dynamic key management. The support that IEEE 802.1x provides for Extensible Authentication Protocol (EAP) security types allows you to use authentication methods such as smart cards and certificates. EAP security types include EAP-TLS, Protected EAP (PEAP) with EAP-TLS, and Microsoft Challenge Handshake Authentication Protocol version 2 (MS-CHAPv2).

With IEEE 802.1x authentication, you can specify whether the computer attempts authentication to the network if the computer requires access to network resources whether a user is logged on or not. For example, data center operators who manage remotely administered servers can specify that the servers should attempt authentication to access the network resources. You can also specify whether the computer attempts authentication to the network if user or computer information is not available. For example, Internet service providers (ISPs) can use this authentication option to allow users access to free Internet services, or to Internet services that can be purchased. A corporation can grant visitors limited guest access, so that those visitors can access the Internet, and not confidential network resources.


Using infrared communication

This section covers:

  • Installing infrared devices
  • Establishing infrared network connections between computers
  • Transferring files
  • Printing to an infrared printer
  • Transferring digital camera images to the computer


Installing infrared devices

Most internal infrared devices are installed by Setup or when you start your computer after adding one of these devices. However, when you attach a serial infrared transceiver to a serial (COM) port or to a USB port, you do need to install it as described in this topic. This topic also describes how to install an internal infrared device that is not automatically detected.

Installing an infrared device connected to a serial port

If you have a desktop computer or a portable computer without an internal infrared device, you can connect a serial infrared transceiver to a serial (COM) port or a USB port. To do so, attach the infrared transceiver to the port, note which port you are using, and then follow the steps in To add a new infrared device to a serial port.

Installing an undetected internal infrared device

If you add an internal infrared device to a computer with XOX or XOX already installed, the device is typically detected and installed the next time you start the computer. If this does not occur, you might have to install the device manually. To do so, follow the instructions in To add a new infrared device to a serial port.


Establishing infrared network connections between computers

An infrared network connection allows you to establish a direct connection between two infrared-enabled devices without using modems, cables, or network hardware. Instead, you align the two devices to establish an infrared link, and then use Network Connections to create an infrared network connection.

How you can use infrared network connections

You can use infrared network connections to perform a variety of tasks. For example, you can:

Access the Internet from a public location

While at an airport, a hotel, or any other location that provides public Internet access, you can sit at a kiosk and use your laptop, personal digital assistant (PDA), or other infrared-enabled device to connect to the Internet. Kiosks at such locations provide a built-in infrared port, so that you can align your infrared-enabled device with the built-in port and establish an infrared network connection.

When making this type of infrared network connection, you configure the infrared device as the guest. The server that your device connects to is the host.

Access shared information about another computer

You can establish an infrared network connection between two computers to access shared resources on one of the computers. For example, if you have a portable computer that you want to use to access files in a shared folder on your desktop computer, you can establish an infrared network connection between the two computers.

When making this type of infrared network connection, you configure the portable computer as the guest and the desktop computer as the host.

Creating network connections on both computers

To create an infrared network connection, follow the steps in To establish a direct infrared network connection between computers on both computers. When you create the network connections, specify the computer that has the information you want to access as the host computer, and the computer you are going to use to access the information as the guest computer.

For both computers, specify the infrared port as the device that will be used to make the connection.

Configuring permissions on the host computer

If you are connecting two XOX or XOX computers, you can access shared folders on the host. However, before you can make the connection, make sure that the user name for the connection is given membership in a group on the host computer. For information about how to add users to your computer running XOX or XOX, see Add a new user to the computer. The new user must have sufficient permissions to perform any expected tasks. If you are adding a user so that someone else can access your computer, you might want to add the new user to the Guest, User, or Power Users groups.

Accessing the local computer

After you set up network connections on both the host and guest computers, follow the steps in To use an infrared network connection. Working on the guest computer, you can then map shared drives on the host computer and use My Computer or Windows Explorer to open folders and access files.

Notes

  • If you only want to send files from one infrared-enabled device to another, you do not need to establish an infrared network connection. Instead, you only need to establish an infrared link, as described in Establish an infrared link.
  • Infrared network connections use the Point-to-Point Protocol (PPP). Typically, this protocol does not require additional configuration.


Transferring files

You can use Wireless Link to send selected files or an entire folder to another computer running XOX, XOX, Windows 2000, or Windows 98.

Establishing an infrared connection

To send files, first establish an infrared link with another computer or other infrared device, as described in the procedure To establish an infrared link. When an infrared device is in range, the infrared connection status Infrared taskbar status icon icon appears on the taskbar and the Wireless Link wireless link item appears on the desktop. These indicate only that an infrared device is in range. A data connection is made when Wireless Link or another program communicates over the link. While a program is connected over a link, the taskbar icon changes to the Infrared connection taskbar status icon icon. As long as an infrared transceiver is in range, you can transfer data over the link.

The IrDA Winsock API enables programs to communicate with any device that implements one of the supported protocols, described in Infrared implementation. Simultaneous connections over an infrared link are supported (unless the link is being used for a network connection), so more than one program can use the same link. If you use another program, refer to the documentation provided with it for procedures to transfer data.


Printing to an infrared printer

Printing to a printer that is connected by an infrared link is very much the same as printing to any other printer. After you establish an infrared connection between your computer and a printer, the printer is typically installed automatically by Plug and Play. If your computer is not infrared-capable, you can attach an infrared transceiver to your serial (COM) port. For more information, see Add an infrared device to a serial port.

After you add an infrared printer, the only difference between printing to it and printing to any other printer is that you must first establish an infrared link between the computer and the printer by aligning them so that the infrared transceivers are within one meter of each other, and the transceivers are pointing at each other. For more information, see Establish an infrared link.


Transferring digital camera images to the computer

The Image Transfer tab of the Wireless Link dialog box includes a check box in which you can specify whether you want to transfer images from a digital camera to your computer using Wireless Link.

The Image Transfer tab also specifies the default location for image files received from a digital camera. This location is used by Wireless Link. Other programs may use other locations or require you to specify a location when you begin the transfer. You can also elect to have Windows Explorer automatically open to this location after images have been transferred.

The transfer is initiated by the digital camera rather than the computer. To transfer images, point the infrared window on your camera at the infrared transceiver on the computer. Then follow the camera manufacturer's instructions to select the picture and send it to the computer. Some cameras can transfer more than one picture at a time. The exact steps to transfer pictures depends on the make and model of the camera, and should be described in the instructions for operating the camera.

To configure Wireless Link to transfer camera images, see To change settings to transfer images from a digital camera. To transfer camera images to your computer using Wireless Link, see To transfer images from a digital camera to your computer.

Note

  • If you are using synchronization software, note that certain software will automatically disable infrared image transfer (Ir-TranP). As a result, you will not be able to use Wireless Link to transfer images from a digital camera to your computer. In such cases, you might have to remove the synchronization software before you can use Wireless Link to transfer digital camera images. To determine whether your synchronization software disables infrared image transfer, see your software manufacturer's product documentation.


Resources

This page provides sources for additional information about supported wireless technologies.

Microsoft Web sites

  • For Microsoft product support, see Microsoft Product Support Services at the Microsoft Web site (http://www.microsoft.com/).
  • For more information about supported wireless technologies, see Wireless Technology at the Microsoft Web site (http://www.microsoft.com/).

The Infrared Data Association (IrDA)

The Infrared Data Association (IrDA) is an international organization that sets standards for infrared data connections. The infrared support provided by XOX is designed to meet these standards.

For more information about IrDA, see the Infrared Data Association Web site.

Note

  • XOX


Troubleshooting

See the topic below for information about troubleshooting infrared devices.

  • Input devices


Compile Date

Microsoft Windows graphic
Compile Date: 2004-04-22